﻿using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Windows;
using System.Windows.Media;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Charting;
using Telerik.Windows.Data;
using System.Windows.Input;
using System;
using System.Windows.Data;

namespace Telerik.Windows.Examples.Chart.SimpleFiltering
{
    /// <summary>
    /// Interaction logic for Example2.xaml
    /// </summary>
    public partial class Example2 : UserControl
    {
        public Example2()
        {
            InitializeComponent();

            List<Record> data = new List<Record>()
                {
                    new Record(2009, "First team", 25),
                    new Record(2010, "First team", 35),
                    new Record(2011, "First team", 45),
                    new Record(2009, "Second team", 15),
                    new Record(2010, "Second team", 25),
                    new Record(2011, "Second team", 75),
                    new Record(2009, "Third team", 67),
                    new Record(2010, "Third team", 20),
                    new Record(2011, "Third team", 88),
                    new Record(2009, "Fourth team", 34),
                    new Record(2010, "Fourth team", 67),
                    new Record(2011, "Fourth team", 91),
                    new Record(2009, "Fifth team", 87),
                    new Record(2010, "Fifth team", 77),
                    new Record(2011, "Fifth team", 12)
                };

            this.RadChart1.ItemsSource = data;
        }

    }
  
    public class Record 
    {
        private int year;
        private string team;
        private int value;

        public Record(int year, string team, int value)
        {
            this.year = year;
            this.team = team;
            this.value = value;
        }

        public int Value
        {
            get
            {
                return value;
            }
            set
            {
                this.value = value;
            }
        }

        public string Team
        {
            get
            {
                return team;
            }
            set
            {
                team = value;
            }
        }

        public int Year
        {
            get
            {
                return year;
            }
            set
            {
                year = value;
            }
        }
    }
}
